Show: Inherited Protected Private Deprecated

# ButtonParagraphJustify Class

Uses:

- ButtonCommand
- ButtonCommandActive
- ButtonStateClasses

Defined in: `src/ui/react/src/components/buttons/button-paragraph-justify.jsx:4`

The ButtonParagraphJustify class provides functionality for justfying a paragraph.

## Index

### Methods

- execCommand
- getDefaultProps
- getStateClasses
- isActive
- render

### Properties

- command
- editor
- key static
- label
- modifiesSelection
- tabIndex

## Methods

### `execCommand`

(

- `data`

)

Inherited from ButtonCommand: `src/ui/react/src/components/base/button-command.js:27`

Executes a CKEditor command and fires `actionPerformed` event.

#### Parameters:

- `data` Object=

  Optional data to be passed to CKEDITOR's `execCommand` method.

### `getDefaultProps`

() Object

Defined in `src/ui/react/src/components/buttons/button-paragraph-justify.jsx:53`

Lifecycle. Returns the default values of the properties used in the widget.

#### Returns:

Object:

The default properties.

### `getStateClasses`

() String

Inherited from ButtonStateClasses: `src/ui/react/src/components/base/button-state-classes.js:15`

Returns the list of state classes associated to the current element's state, according to the results of the isActive and isDisabled methods.

#### Returns:

String:

A string with the state CSS classes.

### `isActive`

() Boolean

Inherited from ButtonCommandActive: `src/ui/react/src/components/base/button-command-active.js:11`

Checks if the command is active in the current selection.

#### Returns:

Boolean:

True if the command is active, false otherwise.

### `render`

() Object

Defined in `src/ui/react/src/components/buttons/button-paragraph-justify.jsx:65`

Lifecycle. Renders the UI of the button.

#### Returns:

Object:

The content which should be rendered.

## Properties

### `command`

String

Inherited from ButtonCommand: `src/ui/react/src/components/base/button-command.js:12`

The command that should be executed.

### `editor`

Object

Defined in `src/ui/react/src/components/buttons/button-paragraph-justify.jsx:18`

The editor instance where the component is being used.

### `key`

String static

Defined in `src/ui/react/src/components/buttons/button-paragraph-justify.jsx:43`

The name which will be used as an alias of the button in the configuration.

Default: paragraphJustify

### `label`

String

Defined in `src/ui/react/src/components/buttons/button-paragraph-justify.jsx:25`

The label that should be used for accessibility purposes.

### `modifiesSelection`

Boolean

Inherited from ButtonCommand: `src/ui/react/src/components/base/button-command.js:19`

Indicates that the command may cause the editor to have a different.

### `tabIndex`

Number

Defined in `src/ui/react/src/components/buttons/button-paragraph-justify.jsx:32`

The tabIndex of the button in its toolbar current state. A value other than -1 means that the button has focus and is the active element.